[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TConnectionDef.ConnectionClass

Class to instantiate when this connection is requested

## Declaration

Source position: sqldb.pp line 813

`class function TConnectionDef.ConnectionClass: TSQLConnectionClass; virtual;`

## Function result

The TSQLConnectionClass for this connection type.

## Description

ConnectionClass should return the connection class to use when a connection of this type is requested. It must be overridden by descendents of TConnectionDef.

It may not be Nil.

## See also

TConnectionDef.TypeName |  | Name of the connection type